Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 16830002: Be smarter about when to disable global type inference. (Closed)

Created:
6 years, 7 months ago by ahe
Modified:
6 years, 7 months ago
CC:
reviews_dartlang.org, kasperl
Visibility:
Public.

Description

Be smarter about when to disable global type inference. BUG=http://dartbug.com/11218 R=johnniwinther@google.com, ngeoffray@google.com Committed: https://code.google.com/p/dart/source/detail?r=24083

Patch Set 1 #

Patch Set 2 : Merged with HEAD #

Unified diffs Side-by-side diffs Delta from patch set Stats (+8 lines, -1 line) Patch
M dart/sdk/lib/_internal/compiler/implementation/compiler.dart View 2 chunks +6 lines, -1 line 0 comments Download
M dart/sdk/lib/_internal/compiler/implementation/js_backend/backend.dart View 1 chunk +1 line, -0 lines 0 comments Download
M dart/tests/compiler/dart2js/mirror_tree_shaking_test.dart View 1 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 5 (0 generated)
ahe
6 years, 7 months ago (2013-06-12 18:50:41 UTC) #1
ahe
Reduces the size of compiled output of the example from CL 16817002 from 60K to ...
6 years, 7 months ago (2013-06-12 18:56:48 UTC) #2
ngeoffray
LGTM
6 years, 7 months ago (2013-06-12 19:39:56 UTC) #3
Johnni Winther
lgtm
6 years, 7 months ago (2013-06-13 07:14:44 UTC) #4
ahe
6 years, 7 months ago (2013-06-17 09:46:00 UTC) #5
Message was sent while issue was closed.
Committed patchset #2 manually as r24083 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698